<div class="row wpv-tribe-multiple-events style-<?php echo $style ?>">
	<?php foreach($events as $i => $event): ?>
		<div class="wpv-grid grid-1-4 <?php if($i % 4 !== 0) echo 'left-border' ?>">
			<div class="event-wrapper">
				<?php
					$time_format = get_option('time_format');

					// display end date if it is not the same as the start date
					if ( tribe_get_start_date( $event, false, 'Y-m-d' ) !== tribe_get_end_date( $event, false, 'Y-m-d' ) ) {
						$time_format = get_option( 'date_format' ) . ' ' . $time_format;
					}

					$stime = tribe_get_start_date( $event, false, $time_format );
					$etime = tribe_get_end_date( $event, false, $time_format );
				?>
				<a href="<?php echo tribe_get_event_link($event) ?>" title="<?php esc_attr( $read_more_text ) ?>">
					<div class="date">
						<div class="day"><?php echo tribe_get_start_date( $event, false, 'd' ) ?></div>
						<div class="month"><?php echo tribe_get_start_date( $event, false, 'F' ) ?></div>
					</div>
					<h3 class="title"><?php echo $event->post_title ?></h3>
				</a>
				<div class="when-where">
					<?php if ( ! tribe_event_is_all_day( $event->ID ) ): ?>
						<div><?php echo $stime ?> <?php if ( $stime !== $etime ) echo '&mdash; ' . $etime ?></div>
					<?php else: ?>
						<div><?php _e( 'All Day', 'church-event' ) ?></div>
					<?php endif ?>
					<div>@ <?php
						if( class_exists( 'Tribe__Events__Pro__Templates__Single_Venue' ) ) {
							echo tribe_get_venue_link( $event->ID, true );
						} else {
							echo tribe_get_venue( $event->ID );
						}
					?>
					</div>
				</div>
				<?php if ( ! empty( $read_more_text) ): ?>
					<a href="<?php echo tribe_get_event_link($event) ?>" title="<?php esc_attr( $read_more_text ) ?>" class="button button-border accent1 hover-accent1"><span class="btext"><?php echo $read_more_text // xss ok ?></span></a>
				<?php endif ?>
			</div>
		</div>
		<?php if($i % 4 == 3 && $i < count($events) - 1): ?>
			</div>
			<div class="row wpv-tribe-multiple-events style-<?php echo $style ?>">
		<?php endif ?>
	<?php endforeach; ?>
	<?php wp_reset_postdata(); ?>
</div>