<?php

global $post;

wp_reset_query();
$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
?>

<div class="wpv-tribe-single-media <?php if($image === false) echo 'no-image' ?>" <?php if($image): ?>style="background-image: url('<?php echo esc_attr($image[0]) ?>')"<?php endif ?>>
	<div class="limit-wrapper">
		<div class="wpv-article-paddings-x">
			<div class="wpv-single-event-schedule">
				<?php
					$time_format = get_option('time_format');

					// display end date if it is not the same as the start date
					if ( tribe_get_start_date( $post, false, 'Y-m-d' ) !== tribe_get_end_date( $post, false, 'Y-m-d' ) ) {
						$time_format = get_option( 'date_format' ) . ' ' . $time_format;
					}

					$stime = tribe_get_start_date( $post, false, $time_format );
					$etime = tribe_get_end_date( $post, false, $time_format );
				?>
				<div class="wpv-single-event-schedule-block date-time">
					<div class="date">
						<div class="day"><?php echo tribe_get_start_date( $post, false, 'd' ) ?></div>
						<div class="month"><?php echo tribe_get_start_date( $post, false, 'F' ) ?></div>
					</div>
					<?php if ( $image !== false ): ?>
						<?php if ( ! tribe_event_is_all_day( $post->ID ) ): ?>
							<div class="time"><?php echo $stime ?> <?php if ( $stime !== $etime ) echo '&mdash; ' . $etime ?></div>
						<?php else: ?>
							<div class="time"><?php _e( 'All Day', 'church-event' ) ?></div>
						<?php endif ?>
					<?php endif ?>
				</div>
				<div class="wpv-single-event-schedule-block address">
					<?php if ( $image === false ): ?>
						<?php if ( ! tribe_event_is_all_day( $post->ID ) ): ?>
							<div class="time"><?php echo $stime ?> <?php if ( $stime !== $etime ) echo '&mdash; ' . $etime ?></div>
						<?php else: ?>
							<div class="time"><?php _e( 'All Day', 'church-event' ) ?></div>
						<?php endif ?>
					<?php endif ?>
					<?php
						if( class_exists( 'Tribe__Events__Pro__Templates__Single_Venue' ) ) {
							echo tribe_get_venue_link( $post->ID, true );
						} else {
							echo tribe_get_venue( $post->ID );
						}
					?>
					<br>
					<?php echo Tribe__Events__Main::instance()->fullAddress(); ?>
				</div>
				<?php if ( tribe_get_cost() ) :  ?>
					<div class="wpv-single-event-schedule-block cost">
						<?php echo wpv_shortcode_icon(array(
							'name' => 'exit3'
						)) ?>
						<?php echo tribe_get_cost( null, true ); ?>
					</div>
				<?php endif ?>
			</div>
		</div>
	</div>
</div>